@echo off
@echo Make spritesheet.
@echo Require ImageMagick 7.x (7.1.0-37 Q16-HDRI x64).
@echo.

set INPUT_DIR=anime
set OUTPUT_SHEET=ufo2_spritesheet.png
set OUTPUT_ANIME=ufo2_anime.gif

@rem magick montage -resize 78x78 -geometry +1+1 -background none %INPUT_DIR%/*.png spritesheet_not_use_insharp.png
@rem magick montage -resize 78x78 -unsharp 10x5+0.7+0 -geometry +1+1 -background none %INPUT_DIR%/*.png PNG32:spritesheet_2_cubic_unsharp.png
@rem magick montage -filter Lanczos -resize 78x78 -unsharp 10x5+0.7+0 -geometry +1+1 -background none %INPUT_DIR%/*.png PNG32:spritesheet_3_sincfast(lanczos).png

@rem Search ImageMagick
where /Q magick.exe
if %errorlevel% == 0 goto MKSPRITESHEET

@echo Error : Not found magick.exe. Please install ImageMagick 7.x.
goto END

:MKSPRITESHEET
@echo on
magick montage -filter Lanczos -resize 78x78 -unsharp 10x5+0.7+0 -geometry +1+1 -background none %INPUT_DIR%/*.png PNG32:%OUTPUT_SHEET%
magick -delay 2 -dispose Background %OUTPUT_SHEET% -crop 80x80 +adjoin +repage -adjoin -layers OptimizeFrame -loop 0 %OUTPUT_ANIME%
:END
